QuickLink
Confirm quick link phone
POST
/
quicklink
/
{token}
/
phone
Confirm quick link phone
curl --request POST \
--url https://api.polymorfa.com/quicklink/{token}/phone \
--header 'Content-Type: application/json' \
--data '
{
"phone": "<string>",
"noNumber": true,
"whatsappPhone": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({phone: '<string>', noNumber: true, whatsappPhone: '<string>'})
};
fetch('https://api.polymorfa.com/quicklink/{token}/phone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.polymorfa.com/quicklink/{token}/phone"
payload = {
"phone": "<string>",
"noNumber": True,
"whatsappPhone": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.polymorfa.com/quicklink/{token}/phone"
payload := strings.NewReader("{\n \"phone\": \"<string>\",\n \"noNumber\": true,\n \"whatsappPhone\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}false{
"data": {
"confirmed": true
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"data": {
"candidates": [
{
"phone": "<string>",
"registered": true,
"pushName": "<string>",
"pictureUrl": "<string>",
"whatsappPhone": "<string>",
"accountType": "whatsapp"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"data": {
"candidates": [
{
"phone": "<string>",
"registered": true,
"pushName": "<string>",
"pictureUrl": "<string>",
"whatsappPhone": "<string>",
"accountType": "whatsapp"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"data": {
"candidates": [
{
"phone": "<string>",
"registered": true,
"pushName": "<string>",
"pictureUrl": "<string>",
"whatsappPhone": "<string>",
"accountType": "whatsapp"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"data": {
"candidates": [
{
"phone": "<string>",
"registered": true,
"pushName": "<string>",
"pictureUrl": "<string>",
"whatsappPhone": "<string>",
"accountType": "whatsapp"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"data": {
"candidates": [
{
"phone": "<string>",
"registered": true,
"pushName": "<string>",
"pictureUrl": "<string>",
"whatsappPhone": "<string>",
"accountType": "whatsapp"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"data": {
"candidates": [
{
"phone": "<string>",
"registered": true,
"pushName": "<string>",
"pictureUrl": "<string>",
"whatsappPhone": "<string>",
"accountType": "whatsapp"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"data": {
"candidates": [
{
"phone": "<string>",
"registered": true,
"pushName": "<string>",
"pictureUrl": "<string>",
"whatsappPhone": "<string>",
"accountType": "whatsapp"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"data": {
"candidates": [
{
"phone": "<string>",
"registered": true,
"pushName": "<string>",
"pictureUrl": "<string>",
"whatsappPhone": "<string>",
"accountType": "whatsapp"
}
]
}
}Path Parameters
Opaque token required by the target operation. Opaque QuickLink token from the hosted URL.
Body
application/json
Phone number in international format.
Value constraints
| Constraint | Accepted input |
|---|---|
| String length | At most 32 characters |
Maximum string length:
32Whether no number.
Allowed values
| Value | Meaning |
|---|---|
true | True. |
Available options:
true Specifies whatsapp phone for this schema.
Value constraints
| Constraint | Accepted input |
|---|---|
| String length | At most 32 characters |
Maximum string length:
32Response
Phone confirmed
Structured data carried by this object.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Confirm quick link phone
curl --request POST \
--url https://api.polymorfa.com/quicklink/{token}/phone \
--header 'Content-Type: application/json' \
--data '
{
"phone": "<string>",
"noNumber": true,
"whatsappPhone": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({phone: '<string>', noNumber: true, whatsappPhone: '<string>'})
};
fetch('https://api.polymorfa.com/quicklink/{token}/phone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.polymorfa.com/quicklink/{token}/phone"
payload = {
"phone": "<string>",
"noNumber": True,
"whatsappPhone": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.polymorfa.com/quicklink/{token}/phone"
payload := strings.NewReader("{\n \"phone\": \"<string>\",\n \"noNumber\": true,\n \"whatsappPhone\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}false{
"data": {
"confirmed": true
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"data": {
"candidates": [
{
"phone": "<string>",
"registered": true,
"pushName": "<string>",
"pictureUrl": "<string>",
"whatsappPhone": "<string>",
"accountType": "whatsapp"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"data": {
"candidates": [
{
"phone": "<string>",
"registered": true,
"pushName": "<string>",
"pictureUrl": "<string>",
"whatsappPhone": "<string>",
"accountType": "whatsapp"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"data": {
"candidates": [
{
"phone": "<string>",
"registered": true,
"pushName": "<string>",
"pictureUrl": "<string>",
"whatsappPhone": "<string>",
"accountType": "whatsapp"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"data": {
"candidates": [
{
"phone": "<string>",
"registered": true,
"pushName": "<string>",
"pictureUrl": "<string>",
"whatsappPhone": "<string>",
"accountType": "whatsapp"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"data": {
"candidates": [
{
"phone": "<string>",
"registered": true,
"pushName": "<string>",
"pictureUrl": "<string>",
"whatsappPhone": "<string>",
"accountType": "whatsapp"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"data": {
"candidates": [
{
"phone": "<string>",
"registered": true,
"pushName": "<string>",
"pictureUrl": "<string>",
"whatsappPhone": "<string>",
"accountType": "whatsapp"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"data": {
"candidates": [
{
"phone": "<string>",
"registered": true,
"pushName": "<string>",
"pictureUrl": "<string>",
"whatsappPhone": "<string>",
"accountType": "whatsapp"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"data": {
"candidates": [
{
"phone": "<string>",
"registered": true,
"pushName": "<string>",
"pictureUrl": "<string>",
"whatsappPhone": "<string>",
"accountType": "whatsapp"
}
]
}
}